#### D.2.13.1 createTask

Procedure from library `tasks.lib` (see tasks_lib).

Usage:
  createTask(command, arguments), command string, arguments list

Return:
  a task with the given command and arguments whose state is 'created'.

Note:
  't = command, arguments;' is a shortcut for
  't = createTask(command, arguments);'.

Example:

    LIB "tasks.lib";
    ring R = 0, (x,y), dp;
    ideal I = x9y2+x10, x2y7-y8;
    task t = createTask("std", list(I));
    // This is the same as:
    // task t = "std", list(I);
    t;
    ==> A task with the following properties:
    ==> command:          std
    ==> no. of arguments: 1
    ==> state:            created
    ==>
    killTask(t);

See also: compareTasks; copyTask; getArguments; getCommand; getState; killTask; printTask; startTasks.

User manual for Singular version 4.4.1, 2025, generated by texi2html.